#include <stdlib.h>
#include <stdio.h>

long ABS (long Z)
{
    if (Z>=0)
      return Z;
    else
      return -Z;
}

int main()
{
    long x1, y1, x2, y2;
    scanf ("%ld%ld", &x1, &y1);
    scanf ("%ld%ld", &x2, &y2);

    if (x1==x2 || y1==y2)
      printf ('2');
    else if (ABS (x1-x2)==ABS (y1-y2))
      printf ('1');
    else
      printf ('0');
    
    return 0;
}